<?php

namespace TDevAgency\Cms\Models\BaseModels;

use Illuminate\Database\Eloquent\Model;
use Laravel\Scout\Searchable;

class PostLocalization extends Model
{

    use Searchable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'id',
        'post_id',
        'title',
        'description',
        'meta_title',
        'meta_description',
        'short_description',
        'lang',
    ];

    public function toSearchableArray()
    {

        $array = $this->toArray();

        unset($array['meta_title'], $array['meta_description']);


        return $array;
    }

}
